# Send Draft (/api-reference/send-draft)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 974 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Send Draft

`POST /v0/inboxes/{inbox_id}/drafts/{draft_id}/send`

Send Draft

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "inboxesInboxId",
        "type": "string",
        "description": "ID of inbox."
      }
    },
    {
      "name": "draft_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "DraftId",
        "type": "string",
        "description": "ID of draft."
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "title": "UpdateMessageRequest",
          "type": "object",
          "properties": {
            "add_labels": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "nullable": true,
              "description": "Labels to add to message."
            },
            "remove_labels": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "nullable": true,
              "description": "Labels to remove from message."
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "SendMessageResponse",
            "type": "object",
            "properties": {
              "message_id": {
                "title": "MessageId",
                "type": "string",
                "description": "ID of message."
              },
              "thread_id": {
                "title": "ThreadId",
                "type": "string",
                "description": "ID of thread."
              }
            },
            "required": [
              "message_id",
              "thread_id"
            ]
          }
        }
      }
    },
    "400": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ValidationErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "errors": {
                "description": "Validation errors."
              }
            },
            "required": [
              "name",
              "errors"
            ]
          }
        }
      }
    },
    "403": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
